Patchwork [meta-qt5,dylan] qtbase.inc: Fix qtbase-tools runtime depencency on perl

login
register
mail settings
Submitter Christian Gagneraud
Date July 24, 2013, 9:31 p.m.
Message ID <1374701507-26976-1-git-send-email-chgans@gna.org>
Download mbox | patch
Permalink /patch/54437/
State Accepted, archived
Headers show

Comments

Christian Gagneraud - July 24, 2013, 9:31 p.m.
While building a custom rootfs using poky, meta-oe, meta-ti and meta-qt5 (all on Dylan branch), I got the following error:
[...]
| Computing transaction...error: Can't install qtbase-tools-5.0.2-r2.0@armv7a_vfp_neon: no package provides /usr/bin/perl
[...]

qtbase-tools seems to depends on perl (at runtime), but this wasn't specified in any bb file, this patch fixes it.

Signed-off-by: Christian Gagneraud <chgans@gna.org>
---
 recipes-qt/qt5/qtbase.inc | 2 ++
 1 file changed, 2 insertions(+)
Martin Jansa - July 24, 2013, 9:55 p.m.
On Thu, Jul 25, 2013 at 09:31:47AM +1200, Christian Gagneraud wrote:
> While building a custom rootfs using poky, meta-oe, meta-ti and meta-qt5 (all on Dylan branch), I got the following error:
> [...]
> | Computing transaction...error: Can't install qtbase-tools-5.0.2-r2.0@armv7a_vfp_neon: no package provides /usr/bin/perl
> [...]
> 
> qtbase-tools seems to depends on perl (at runtime), but this wasn't specified in any bb file, this patch fixes it.

Have you tried which files require perl?

> 
> Signed-off-by: Christian Gagneraud <chgans@gna.org>
> ---
>  recipes-qt/qt5/qtbase.inc | 2 ++
>  1 file changed, 2 insertions(+)
> 
> diff --git a/recipes-qt/qt5/qtbase.inc b/recipes-qt/qt5/qtbase.inc
> index f521a30..a72a3d6 100644
> --- a/recipes-qt/qt5/qtbase.inc
> +++ b/recipes-qt/qt5/qtbase.inc
> @@ -23,6 +23,8 @@ SRC_URI += " \
>  
>  DEPENDS += "qtbase-native freetype jpeg libpng zlib openssl glib-2.0 ${ICU} udev ${XCB_DEPENDS} ${GL_DEPENDS} ${TSLIB_DEPENDS} ${FONTCONFIG_DEPENDS}"
>  
> +RDEPENDS_${PN}-tools += "perl"
> +
>  # to provide xcb/xcb_icccm.h, xcb/xcb_image.h, xcb/xcb_keysyms.h and dbus/dbus.h
>  # XCB_DEPENDS += "xcb-util-wm xcb-util-image xcb-util-keysyms dbus"
>  # reenable when we switch to "-qt-xcb" and build of 
> -- 
> 1.8.1.2
> 
> _______________________________________________
> Openembedded-devel mailing list
> Openembedded-devel@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-devel
Christian Gagneraud - July 25, 2013, 12:13 a.m.
On 25/07/13 09:55, Martin Jansa wrote:
> On Thu, Jul 25, 2013 at 09:31:47AM +1200, Christian Gagneraud wrote:
>> While building a custom rootfs using poky, meta-oe, meta-ti and meta-qt5 (all on Dylan branch), I got the following error:
>> [...]
>> | Computing transaction...error: Can't install qtbase-tools-5.0.2-r2.0@armv7a_vfp_neon: no package provides /usr/bin/perl
>> [...]
>>
>> qtbase-tools seems to depends on perl (at runtime), but this wasn't specified in any bb file, this patch fixes it.
>
> Have you tried which files require perl?

I didn't, but now I did:
christiaga@krys-red:~/projects/yocto/poky-ti-qt5$ file 
build/tmp/work/armv7a-vfp-neon-poky-linux-gnueabi/qtbase/5.0.2-r2.0/package/usr/bin/qt5/*|grep 
-i perl
build/tmp/work/armv7a-vfp-neon-poky-linux-gnueabi/qtbase/5.0.2-r2.0/package/usr/bin/qt5/syncqt: 
Perl script, ASCII text executable

>
>>
>> Signed-off-by: Christian Gagneraud <chgans@gna.org>
>> ---
>>   recipes-qt/qt5/qtbase.inc | 2 ++
>>   1 file changed, 2 insertions(+)
>>
>> diff --git a/recipes-qt/qt5/qtbase.inc b/recipes-qt/qt5/qtbase.inc
>> index f521a30..a72a3d6 100644
>> --- a/recipes-qt/qt5/qtbase.inc
>> +++ b/recipes-qt/qt5/qtbase.inc
>> @@ -23,6 +23,8 @@ SRC_URI += " \
>>
>>   DEPENDS += "qtbase-native freetype jpeg libpng zlib openssl glib-2.0 ${ICU} udev ${XCB_DEPENDS} ${GL_DEPENDS} ${TSLIB_DEPENDS} ${FONTCONFIG_DEPENDS}"
>>
>> +RDEPENDS_${PN}-tools += "perl"
>> +
>>   # to provide xcb/xcb_icccm.h, xcb/xcb_image.h, xcb/xcb_keysyms.h and dbus/dbus.h
>>   # XCB_DEPENDS += "xcb-util-wm xcb-util-image xcb-util-keysyms dbus"
>>   # reenable when we switch to "-qt-xcb" and build of
>> --
>> 1.8.1.2
>>
>> _______________________________________________
>> Openembedded-devel mailing list
>> Openembedded-devel@lists.openembedded.org
>> http://lists.openembedded.org/mailman/listinfo/openembedded-devel
>
>
>
> _______________________________________________
> Openembedded-devel mailing list
> Openembedded-devel@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-devel
>
Martin Jansa - July 25, 2013, 10:27 a.m.
On Thu, Jul 25, 2013 at 12:13:52PM +1200, Christian Gagneraud wrote:
> On 25/07/13 09:55, Martin Jansa wrote:
> > On Thu, Jul 25, 2013 at 09:31:47AM +1200, Christian Gagneraud wrote:
> >> While building a custom rootfs using poky, meta-oe, meta-ti and meta-qt5 (all on Dylan branch), I got the following error:
> >> [...]
> >> | Computing transaction...error: Can't install qtbase-tools-5.0.2-r2.0@armv7a_vfp_neon: no package provides /usr/bin/perl
> >> [...]
> >>
> >> qtbase-tools seems to depends on perl (at runtime), but this wasn't specified in any bb file, this patch fixes it.
> >
> > Have you tried which files require perl?
> 
> I didn't, but now I did:
> christiaga@krys-red:~/projects/yocto/poky-ti-qt5$ file 
> build/tmp/work/armv7a-vfp-neon-poky-linux-gnueabi/qtbase/5.0.2-r2.0/package/usr/bin/qt5/*|grep 
> -i perl
> build/tmp/work/armv7a-vfp-neon-poky-linux-gnueabi/qtbase/5.0.2-r2.0/package/usr/bin/qt5/syncqt: 
> Perl script, ASCII text executable

Merged in dylan and master with small modifications, thanks.

> 
> >
> >>
> >> Signed-off-by: Christian Gagneraud <chgans@gna.org>
> >> ---
> >>   recipes-qt/qt5/qtbase.inc | 2 ++
> >>   1 file changed, 2 insertions(+)
> >>
> >> diff --git a/recipes-qt/qt5/qtbase.inc b/recipes-qt/qt5/qtbase.inc
> >> index f521a30..a72a3d6 100644
> >> --- a/recipes-qt/qt5/qtbase.inc
> >> +++ b/recipes-qt/qt5/qtbase.inc
> >> @@ -23,6 +23,8 @@ SRC_URI += " \
> >>
> >>   DEPENDS += "qtbase-native freetype jpeg libpng zlib openssl glib-2.0 ${ICU} udev ${XCB_DEPENDS} ${GL_DEPENDS} ${TSLIB_DEPENDS} ${FONTCONFIG_DEPENDS}"
> >>
> >> +RDEPENDS_${PN}-tools += "perl"
> >> +
> >>   # to provide xcb/xcb_icccm.h, xcb/xcb_image.h, xcb/xcb_keysyms.h and dbus/dbus.h
> >>   # XCB_DEPENDS += "xcb-util-wm xcb-util-image xcb-util-keysyms dbus"
> >>   # reenable when we switch to "-qt-xcb" and build of
> >> --
> >> 1.8.1.2
> >>
> >> _______________________________________________
> >> Openembedded-devel mailing list
> >> Openembedded-devel@lists.openembedded.org
> >> http://lists.openembedded.org/mailman/listinfo/openembedded-devel
> >
> >
> >
> > _______________________________________________
> > Openembedded-devel mailing list
> > Openembedded-devel@lists.openembedded.org
> > http://lists.openembedded.org/mailman/listinfo/openembedded-devel
> >
> 
> _______________________________________________
> Openembedded-devel mailing list
> Openembedded-devel@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-devel

Patch

diff --git a/recipes-qt/qt5/qtbase.inc b/recipes-qt/qt5/qtbase.inc
index f521a30..a72a3d6 100644
--- a/recipes-qt/qt5/qtbase.inc
+++ b/recipes-qt/qt5/qtbase.inc
@@ -23,6 +23,8 @@  SRC_URI += " \
 
 DEPENDS += "qtbase-native freetype jpeg libpng zlib openssl glib-2.0 ${ICU} udev ${XCB_DEPENDS} ${GL_DEPENDS} ${TSLIB_DEPENDS} ${FONTCONFIG_DEPENDS}"
 
+RDEPENDS_${PN}-tools += "perl"
+
 # to provide xcb/xcb_icccm.h, xcb/xcb_image.h, xcb/xcb_keysyms.h and dbus/dbus.h
 # XCB_DEPENDS += "xcb-util-wm xcb-util-image xcb-util-keysyms dbus"
 # reenable when we switch to "-qt-xcb" and build of